Summary:	Y2038 safe version of wtmp
Summary(pl.UTF-8):	Wersja wtmp odporna na Y2038
Name:		wtmpdb
Version:	0.11.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/thkukuk/wtmpdb/releases
Source0:	https://github.com/thkukuk/wtmpdb/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	f9305ba45b93b4acedf14a53ed62e08e
Patch0:		split-usr.patch
URL:		https://github.com/thkukuk/wtmpdb
BuildRequires:	audit-libs-devel
# _TIME_BITS=64
BuildRequires:	glibc-devel >= 6:2.34
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.61.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sqlite3-devel >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main features of wtmpdb are:
- It's using sqlite3 as database backend.
- Data is mainly collected via a PAM module, so that every tool can
  make use of it, without modifying existing packages. For cases where
  this is not possible, there is a library libwtmpdb.
- The wtmpdb last output is as compatible as possible with the old
  last implementation, but not all options are yet supported. For
  compatibility reasons, a symlink last pointing to wtmpdb can be
  created.

%description -l pl.UTF-8
Główne cechy wtmpdb to:
- wykorzystanie sqlite3 jako backendu bazy danych
- zbieranie danych głównie poprzez moduł PAM, dzięki czemu każde
  narzędzie może z niego korzystać bez dodatkowych modyfikacji; w
  przypadkach, gdy nie jest to możliwe, istnieje biblioteka libwtmpdb
- wyjście last z wtmpdb jest zgodne ze starą implementacją last na ile
  to możliwe, ale nie wszystkie opcje są już obsługiwane; ze względu
  na zgodność, można wykonać dowiązanie do programu last wskazujące na
  wersję wtmpdb.

%package -n pam-pam_wtmpdb
Summary:	PAM module to record login and logout times of users
Summary(pl.UTF-8):	Moduł PAM do zapisu czasów zalogowania i wylogowania użytkowników
Group:		Base
Requires:	%{name} = %{version}-%{release}

%description -n pam-pam_wtmpdb
PAM module to record login and logout times of users.

%description -n pam-pam_wtmpdb -l pl.UTF-8
Moduł PAM do zapisu czasów zalogowania i wylogowania użytkowników.

%package devel
Summary:	Header files for wtmpdb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki wtmpdb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for wtmpdb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki wtmpdb.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dsplit-usr=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/wtmpdb

%ninja_install -C build

:> $RPM_BUILD_ROOT/var/lib/wtmpdb/wtmp.db

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%systemd_post wtmpdb-rotate.timer wtmpdb-update-boot.service

%preun
%systemd_preun wtmpdb-rotate.timer wtmpdb-update-boot.service

%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%attr(755,root,root) %{_bindir}/wtmpdb
%attr(755,root,root) %{_libdir}/libwtmpdb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwtmpdb.so.0
%{_mandir}/man8/wtmpdb.8*
%{systemdunitdir}/wtmpdb-rotate.service
%{systemdunitdir}/wtmpdb-rotate.timer
%{systemdunitdir}/wtmpdb-update-boot.service
%{systemdtmpfilesdir}/wtmpdb.conf
%dir /var/lib/wtmpdb
%ghost /var/lib/wtmpdb/wtmp.db

%files -n pam-pam_wtmpdb
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_wtmpdb.so
%{_mandir}/man8/pam_wtmpdb.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwtmpdb.so
%{_includedir}/wtmpdb.h
%{_pkgconfigdir}/libwtmpdb.pc
%changelog
* Wed Apr 03 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wtmpdb.git;a=log;h=master

* Wed Apr 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 91e8e79
- updated to 0.11.0

* Wed Apr 03 2024 Jakub Bogusz <qboosh@pld-linux.org> aa50ca3
- pl, updated dependencies

* Sat Dec 23 2023 Jan Rękorajski <baggins@pld-linux.org> da1ac96
- post/postun for systemd units

* Sat Dec 23 2023 Jan Rękorajski <baggins@pld-linux.org> 86c9b08
- new

